Subject: Re: [RFC] submodule: change submodule.<name>.branch default from master to HEAD

From: Junio C Hamano <[email-masked]>
Date: Fri, 28 Mar 2014 10:28:46 -0700

Jens Lehmann <[email-masked]> writes:

> Am 28.03.2014 04:58, schrieb W. Trevor King:
>> On Thu, Mar 27, 2014 at 08:52:55PM -0700, W. Trevor King wrote:
>>> On Thu, Mar 27, 2014 at 11:43:47PM -0400, Eric Sunshine wrote:
>>>> On Thu, Mar 27, 2014 at 11:36 PM, W. Trevor King <[email-masked]> wrote:
>>>>>  submodule.<name>.branch::
>>>>>         A remote branch name for tracking updates in the upstream submodule.
>>>>> -       If the option is not specified, it defaults to 'master'.  See the
>>>>> -       `--remote` documentation in linkgit:git-submodule[1] for details.
>>>>> +       If the option is not specified, it defaults to the subproject's
>>>>
>>>> Did you mean s/subproject/submodule/ ?
>>>>
>>>>> +       HEAD.  See the `--remote` documentation in linkgit:git-submodule[1]
>>>>> +       for details.
>>>
>>> No the remote branch is in the upstream subproject.  I suppose I meant
>>> “the submodule's remote-tracking branch following the upstream
>>> subproject's HEAD which we just fetched so it's fairly current” ;).
>> 
>> Hmm, maybe we should change the existing “upstream submodule” to
>> “upstream subproject” for consistency?
>
> For me it's still an "upstream submodule" ...

I inherited the habit of saying "submodule" vs "superproject" from
Linus (I think) during the very early days, and there is no such
thing as "subproject" or "supermodule" in my vocabulary.

Just one documentation-reader's opinion, not an edict from the
maintainer.